#include <stdio.h>
#include <algorithm>
#include <math.h>

long long number(long long a, long long b, long long c, int cb, int cc) {
  return a * pow(10, cb + cc) + b * pow(10, cc) + c;
}

int main() {
  unsigned long long a, b, c, x1, x2, x3, x4, x5, x6, max;
  int ca, cb, cc;
  scanf("%llu %llu %llu", &a, &b, &c);
  ca = int(log10(a)) + 1;
  cb = int(log10(b)) + 1;
  cc = int(log10(c)) + 1;

  x1 = number(a, b, c, cb, cc);
  x2 = number(a, c, b, cc, cb);
  x3 = number(b, a, c, ca, cc);
  x4 = number(b, c, a, cc, ca);
  x5 = number(c, a, b, ca, cb);
  x6 = number(c, b, a, cb, ca);

  max = std::max(x1, std::max(x2, std::max(x3, std::max(x4, std::max(x5, x6)))));
  printf("%llu", max);
  return 0;
}